module test_mod

  implicit none

  private
  public test_mod_sub1, test_mod_get_gvar

  include "get_double.fh"

  integer :: gvar1

contains

  subroutine test_mod_sub1(var1)
    integer, intent(in) :: var1

    ! Simple routine that will call an external routine
    gvar1 = get_double(var1)
  end subroutine test_mod_sub1

  subroutine test_mod_get_gvar(var1)
    integer, intent(out) :: var1

    var1 = gvar1
  end subroutine test_mod_get_gvar
end module test_mod
